// -*- c++ -*- 
// (setq c-basic-offset 4)
// "clsConfItemWXGUI.h"

#define ENDL wxT("\n")

#include "clsConfItemWXGUI.h"
#include "../WIDGETCTRL/clsAtoWXSTextCtrl.h"

//-------------------------------------

ConfItemSTRWXGUI_cls::
ConfItemSTRWXGUI_cls(){
    mpCHeader       = NULL;
    mpCButtonHeader = NULL;
    mpCBody         = NULL;
}

void ConfItemSTRWXGUI_cls::
ReleaseWX(){
    if (mpCHeader != NULL) {
	delete mpCHeader;       mpCHeader       = NULL; }

    if (mpCButtonHeader != NULL){
	delete mpCButtonHeader; mpCButtonHeader = NULL; }
    
    if (mpCBody != NULL){
	delete mpCBody;         mpCBody         = NULL; }
}

void ConfItemSTRWXGUI_cls::
UpdateValue(){
    mpCBody->SetValueWXStr(msBody);
}

void ConfItemSTRWXGUI_cls::
SetItem(wxWindow *pCParent, wxString strLabel, wxString strHeader, wxString strBody, wxSize size, int type, int ID) 
{
    ReleaseWX(); // Window̔jɔčēxĂ΂\̂
    mstrLabel= strLabel;
    msHeader = strHeader;
    msBody   = strBody;
    mType    = type;
    if (mType == _CONF_ITEM_TEXT)
	mpCHeader = 
	    new wxStaticText(pCParent, ID, mstrLabel,
			     wxDefaultPosition, size);
    else
	mpCButtonHeader = 
	    new wxButton(pCParent, ID, mstrLabel,
			 wxDefaultPosition, size);
    mpCBody   =
	new AtoWXSTextCtrl_cls(pCParent, wxID_ANY, msBody.c_str(),
			       wxDefaultPosition, size,
			       0, wxTextValidator(wxFILTER_NONE, &msBody));
}

void ConfItemSTRWXGUI_cls::
AddToSizer(wxBoxSizer *pSizer, wxSize headerSize){
    pSizer->Add( mpCHeader, 0, wxALIGN_CENTER_VERTICAL);
    pSizer->Add( mpCBody  , 1, wxALIGN_CENTER_VERTICAL | wxEXPAND);
}

void ConfItemSTRWXGUI_cls::
AddToSizer(wxFlexGridSizer *pSizer, wxSize headerSize){
    pSizer->Add( mpCHeader, 0, wxALIGN_CENTER_VERTICAL);
    pSizer->Add( mpCBody  , 1, wxALIGN_CENTER_VERTICAL | wxEXPAND);
}

void ConfItemSTRWXGUI_cls::
OnAssign(wxCommandEvent& event){
    mpCBody->GetValidator()->TransferFromWindow();
    //msBody = wxConvFile.cWX2WC(mpCBody->GetLineText(0));
}

void ConfItemSTRWXGUI_cls::
SetLabels(){
    if (mType == _CONF_ITEM_TEXT)
	mpCHeader->SetLabel(mstrLabel);
    mpCBody  ->SetValue(msBody);
}
