
#ifndef _FILTER_WITH_PARAMETER_H_
#define _FILTER_WITH_PARAMETER_H_

#include "clsFilterBase.h"

class Parameters_cls;
class ParametersPanel_cls;

#define _MAX_PARAMETER_NUMBER 12

class FilterWithParameterData_cls : public FilterData_cls{
 public:
    FilterWithParameterData_cls(FilterCtrl_cls *pCParentCtrl);

    FilterCtrl_cls *mpCCtrl;
    int mParamNumber;

    double* GetPInterpolated();
    virtual Parameters_cls* GetPParamActive() = 0;
};

class FilterWithParameter_cls : public FilterBase_cls {
 public:
    FilterWithParameter_cls(FilterCtrl_cls *pCParentCtrl);
    ~FilterWithParameter_cls();

    FilterWithParameterData_cls *mpCData;
    FilterData_cls* GetPData();
    ParametersPanel_cls* mpCParamPanel;

    void ConnectParameterToTL();
    void SetParam(int index, double value);
    void SetKeyIfChanged(double doubleIndex);
    void UpdateParameters(double doubleIndex);
};

#endif
