// -*- c -*- 
// "clsTabTextCtrl.h"

#include "clsTabTextCtrl.h"

TabTextCtrl_cls::
TabTextCtrl_cls(wxWindow *parent, wxWindowID id, 
		wxString initStr, wxPoint pos, wxSize size)
    : wxTextCtrl(parent, id,
		 initStr, pos, size)
{
    mpNextWindow = NULL;
    mpPrevWindow = NULL;
}

void TabTextCtrl_cls::
SetNextWindow(TabTextCtrl_cls *pNextWindow){
    mpNextWindow = pNextWindow;
}

void TabTextCtrl_cls::
SetPrevWindow(TabTextCtrl_cls *pPrevWindow){
    mpPrevWindow = pPrevWindow;
}

void TabTextCtrl_cls::
PushBackNextWindow(TabTextCtrl_cls *pNextWindow){
    mVpNextWindow.push_back(pNextWindow);
}

void TabTextCtrl_cls::
PushBackPrevWindow(TabTextCtrl_cls *pPrevWindow){
    mVpPrevWindow.push_back(pPrevWindow);
}

void TabTextCtrl_cls::
OnCharTab(wxKeyEvent& event){
    if ((event.GetModifiers() & wxMOD_SHIFT) ||
	(event.GetModifiers() & wxMOD_CONTROL)){
	Navigate(wxNavigationKeyEvent::IsBackward);
	
    }
    else{
	Navigate(wxNavigationKeyEvent::IsForward || wxNavigationKeyEvent::WinChange);
    }
    
    //event.Skip();
}
