
#ifndef _POV_FOCAL_BLUR_H_
#define _POV_FOCAL_BLUR_H_

#include "../../CONFITEM/clsConfItem.h"
#include "../../WIDGETCTRL/clsMultiNumericalInputs.h"
#include "../../WIDGETCTRL/EX/clsButtonEX.h"
#include "../../WIDGETCTRL/clsAtoWXSTextCtrl.h"

#include <wx/filename.h>

#define _POV_FOCALBLUR_NOUSE 0
#define _POV_FOCALBLUR_USE 1

#define _POV_FOCUSPOS_ORIGIN 0
#define _POV_FOCUSPOS_ANCHORPOS 1
#define _POV_FOCUSPOS_STEREOFOCUS 2
#define _POV_FOCUSPOS_DISTANCE 3
#define _POV_FOCUSPOS_NUMERIC 4

class PovFocalBlur_cls{
 public:
    void SetToDefault();

    wxButtonEX *mpCBTNFocalBlur;
    MultiNumericalInputsPanel_cls* mpCMNumFocalBlur;
    void SetMNumFocalBlur(wxBoxSizer *pBoxSizer, wxWindow *pCParentPanel);

    void HideAndShow();

    int mIndexType, mIndexScale, mIndexQuality, mIndexFocusLocationType;
    int mIndexFocusDistance, mIndexFocusLocation;

    wxString GetPovStrFocalBlur(double activeAnchorPos[3],
				double apatureFactor);

    ConfItemList_cls      mCConfList;
    ConfItemUINT_cls  mCType;
    ConfItemFLOAT_cls mCFocalBlurScale;
    ConfItemINT_cls   mCFocalBlurQuality;
    ConfItemUINT_cls  mCFocusLocationType;
    ConfItemFLOAT_cls mCFocusDistance;
    ConfItemFLOATARRAY_cls mCFocusLocation;
    
    void ReadStrLine(std::wstring strLine);
    wxString SerializeConf();
};

#endif
