
#ifndef _POV_PHOTONS_H_
#define _POV_PHOTONS_H_

#include "../../COMMON/clsFilename.h"
#include "../../CONFITEM/clsConfItem.h"
#include "../../WIDGETCTRL/clsMultiNumericalInputs.h"
#include "../../WIDGETCTRL/EX/clsButtonEX.h"
#include "../../WIDGETCTRL/clsAtoWXSTextCtrl.h"

#include <wx/filename.h>

#define _POV_PHOTONS_NOUSE 0
#define _POV_PHOTONS_USE 1

class PovPhotons_cls{
 public:
    void SetToDefault();

    wxButtonEX *mpCBTNPhotons;
    MultiNumericalInputsPanel_cls* mpCMNumPhotons;
    void SetMNumPhotons(wxBoxSizer *pBoxSizer, wxWindow *pCParentPanel,
			wxString *pstrWorkingDir);
    
    void HideAndShow();

    int  mIndexType, mIndexCount, mIndexMaxTrace;

    wxString GetPovStrGlobal();
    wxString GetPovStrIni();
    wxString GetPovStrPhotonSetting
	(double alpha, double reflectMin, double reflectMax,
	 bool bKillTarget = FALSE);

    ConfItemList_cls      mCConfList;
    ConfItemUINT_cls      mCType;
    ConfItemINT_cls       mCCount;
    ConfItemINT_cls       mCMaxTrace;

    void ReadStrLine(std::wstring strLine);
    wxString SerializeConf();
};

#endif
