
#ifndef _POVRAY_FRAME_H_
#define _POVRAY_FRAME_H_

#define DBL double
#define SNGL float

#define CLASSIC_TURB_WARP 1

typedef DBL VECTOR[3];

typedef struct Turb_Struct TURB;
typedef struct Warps_Struct WARP;
typedef struct Pattern_Struct TPATTERN;

struct Warps_Struct{
  unsigned short Warp_Type;
  WARP *Prev_Warp;
  WARP *Next_Warp; 
};

struct Turb_Struct : public Warps_Struct{
  VECTOR Turbulence;
  int Octaves;
  SNGL Lambda, Omega; 
};

#define OriNoise Noise
#define OriDNoise DNoise

#define EPSILON 1.0e-10

#endif
