// -*- c -*-
// "clsCheckTreeFile.cpp"

#ifndef _CHECK_TREE_FILE_H_
#define _CHECK_TREE_FILE_H_

#define _FILE_UNCHECKED 0
#define _FILE_EXIST 1
#define _FILE_NOTEXIST 2

#define _CHECK_TREE_OMIT_FILE_CHECK 0
#define _CHECK_TREE_FORCE_FILE_CHECK 1

#define _CHECK_TREE_MAKE_EVEN_IF_FILE_NOT_EXIST 0
#define _CHECK_TREE_STOP_IF_FILE_NOT_EXIST 1

#include <string>
#include <vector>

#include <wx/wx.h>

class FileItem_cls{ 
 public:
    FileItem_cls();
    ~FileItem_cls();

 private:
    unsigned int mDepth;
    //std::wstring msFilePath;
    std::vector < wxString > mVstrFilePath;

    void MakeChilds();
    
 public:
    int mIsFileExist;
    FileItem_cls* mpChilds;

    bool IsFileExist(std::vector < wxString > VstrFile,
		     std::wstring strTreePath, wxString strDataSlot);
};

class CheckTreeFile_cls {
 public:
    CheckTreeFile_cls();
    ~CheckTreeFile_cls();

 private:
    FileItem_cls *mpCRoot;

 public:
    void ClearTree();
    bool IsFileExist(std::vector < wxString > VstrFilePath, std::wstring strTreePath,
		     wxString strDataSlot);
};

#endif
