// -*- c -*- 
// "clsFileDialogEX.h"

#include "clsFileDialogEX.h"

wxFileDialogEX::
wxFileDialogEX(wxWindow* parent){
    mpCDialog = new wxFileDialog(parent, wxT("FileDialogEX"));
};

wxFileDialogEX::
~wxFileDialogEX(){
    delete mpCDialog;
}

void wxFileDialogEX::
SetMessage(wxString strMes){
    mpCDialog->SetMessage(strMes);
}

void wxFileDialogEX::
SetInitPath(wxString strDir, wxString strFileName){
    mpCDialog->SetDirectory(strDir);
    if (strFileName != wxT(""))
	mpCDialog->SetFilename(strFileName);
}

void wxFileDialogEX::
SetWildcard(wxString strWildCard){
    mpCDialog->SetWildcard(strWildCard);
}

int wxFileDialogEX::
ShowModal(){
    int retVal = mpCDialog->ShowModal();
    SetWildcard(wxT("*"));
    SetStyle(wxFD_DEFAULT_STYLE);
    return retVal;
}

void wxFileDialogEX::
SetStyle(long style){
    mpCDialog->SetWindowStyle(style);
}

wxString wxFileDialogEX::
GetDirectory(){
    return mpCDialog->GetDirectory();
}

wxString wxFileDialogEX::
GetFileName(){
    return mpCDialog->GetFilename();
}

wxString wxFileDialogEX::
GetPath(){
    return mpCDialog->GetPath();
}
