// "clsTextCtrlEX.cpp"

#ifndef _SPIN_CTRL_EX_H_
#define _SPIN_CTRL_EX_H_

#include <wx/wx.h>
#include <wx/spinctrl.h>
#include "clsTabCtrl.h"

class SpinCtrlEX_cls : 
public wxSpinCtrl, public TabCtrl_cls {
 public:
    SpinCtrlEX_cls(wxWindow *parent, wxWindowID id, wxString initStr,
		   wxPoint pos = wxDefaultPosition, 
		   wxSize size = wxSize(40, -1),
		   long style = wxSP_ARROW_KEYS, 
		   int min = -99999, int max = 99999);
    
    void OnFocus(wxCommandEvent& event);
    void OnKillFocus(wxCommandEvent& event);

    virtual void UpdateValueFromText(bool assign = FALSE) = 0;
    
    // --$B<+A0$N(BTAB$B%3%s%H%m!<%kMQ(B--
    bool mbAssignByTab;
    bool mbReturnForTab;
    bool mbHookWBK_SPACE;
    void EnableHookSpace(bool flag);
    void OnChar(wxKeyEvent& event);
    void OnKeyDown(wxKeyEvent& event);
    void OnSpinUpdate(wxSpinEvent& event);
};

#endif
