// "clsTextCtrlEX.cpp"

#ifndef _TEXT_CTRL_EX_H_
#define _TEXT_CTRL_EX_H_

#include <wx/wx.h>
#include "clsTabCtrl.h"

class TextCtrlEX_cls : 
public wxTextCtrl, public TabCtrl_cls {
 public:
    TextCtrlEX_cls(wxWindow *parent, wxWindowID id, wxString initStr,
		   wxPoint pos = wxDefaultPosition, 
		   wxSize size = wxSize(40, -1),
		   long style = 0,
		   const wxValidator& validator = wxDefaultValidator);
    
    void OnFocus(wxCommandEvent& event);
    void OnKillFocus(wxCommandEvent& event);

    virtual void UpdateValueFromText(/*bool assign = FALSE*/) = 0;
    
    // --$B<+A0$N(BTAB$B%3%s%H%m!<%kMQ(B--
    bool mbAssignByTab;
    bool mbReturnForTab;
    bool mbHookWBK_SPACE;
    
    bool      mbPostOnTab;
    wxWindow *mpEventTarget;
    int       mEventType, mEventID;
    void SetEventOnTab(wxWindow *pTarget, WXTYPE type, int id);

    void EnableHookSpace(bool flag);
    void OnChar(wxKeyEvent& event);
    void OnKeyDown(wxKeyEvent& event);
    
};

#endif
