// -*- c++ -*- 
// (setq c-basic-offset 4)
// "clsMain.cpp"

#include "myArtProv.h"

wxBitmap MyArtProvider::
CreateBitmap(const wxArtID& id,
	     const wxArtClient& client,
	     const wxSize& size){
    if (id == wxT("wxART_PLAY"))
	return wxBitmap(wxT("ICONS/Play.png"), wxBITMAP_TYPE_PNG);
    if (id == wxT("wxART_PLAY_BACK"))
	return wxBitmap(wxT("ICONS/PlayBack.png"), wxBITMAP_TYPE_PNG);
    if (id == wxT("wxART_STEP_FORWARD"))
	return wxBitmap(wxT("ICONS/StepForward.png"), wxBITMAP_TYPE_PNG);
    if (id == wxT("wxART_STEP_BACKWARD"))
	return wxBitmap(wxT("ICONS/StepBackward.png"), wxBITMAP_TYPE_PNG);
    if (id == wxT("wxART_STARTPOINT"))
	return wxBitmap(wxT("ICONS/StartPoint2.png"), wxBITMAP_TYPE_PNG);
    if (id == wxT("wxART_ENDPOINT"))
	return wxBitmap(wxT("ICONS/EndPoint2.png"), wxBITMAP_TYPE_PNG);
    if (id == wxT("wxART_LEFT"))
	return wxBitmap(wxT("ICONS/left.png"), wxBITMAP_TYPE_PNG);
    if (id == wxT("wxART_LEFT_DISABLED"))
	return wxBitmap(wxT("ICONS/leftDisabled.png"), wxBITMAP_TYPE_PNG);
    if (id == wxT("wxART_LEFT_HOVER"))
	return wxBitmap(wxT("ICONS/leftHover.png"), wxBITMAP_TYPE_PNG);
    if (id == wxT("wxART_RIGHT"))
	return wxBitmap(wxT("ICONS/right.png"), wxBITMAP_TYPE_PNG);
    if (id == wxT("wxART_RIGHT_HOVER"))
	return wxBitmap(wxT("ICONS/rightHover.png"), wxBITMAP_TYPE_PNG);
    if (id == wxT("wxART_RIGHT_DISABLED"))
	return wxBitmap(wxT("ICONS/rightDisabled.png"), wxBITMAP_TYPE_PNG);
    return wxNullBitmap;
}
