// -*- c -*- 
// "clsDialogEXKey.cpp"

#ifndef _DIALOG_EX_H_
#define _DIALOG_EX_H_

#include <wx/wx.h>

class MultiNumericalInputsPanel_cls;
class MultiNumericalInputs_cls;

class wxDialogEXKey : public wxDialog {
 public:
    wxDialogEXKey(wxWindow* parent, wxWindowID id, 
		  const wxString& label = wxEmptyString,
		  const wxPoint& pos = wxDefaultPosition,
		  const wxSize& size = wxDefaultSize,
		  wxBitmap *pBitmap = NULL,
		  long style = wxDEFAULT_DIALOG_STYLE, 
		  const wxString& name = wxT("dialogBox"));
    ~wxDialogEXKey();

    static MultiNumericalInputsPanel_cls* 
	InitializeMNumPanel(MultiNumericalInputsPanel_cls **ppMNum,
			    wxWindow *pCParent,
			    int buttonType = 0/*i.e. _MN_NOBUTTONS*/);
    static MultiNumericalInputs_cls*
	InitializeMNumDLG(MultiNumericalInputs_cls **ppMNum,
			  wxWindow *pCParent, wxString strTitle,
#ifdef WIN32
			  int buttonType = 2/*i.e. _MN_OK_CANCEL_DEFAULT*/
#else
			  int buttonType = 3/*i.e. _MN_OK_CANCEL_DEFAULT*/
#endif
			  );
    
    int  mIDCloseButton;
    void SetCloseButtonID(int IDCloseButton);
    wxRect *mpCRectPos;
    void SetScreenRectPos(wxRect *pCRectPos);

    bool mbPreventDestroy;
    void CloseEXKey(int retCode = wxID_CANCEL);
    void OnKeyDown(wxKeyEvent& event);

    void OnSize(wxSizeEvent& event);
    void ResizeDialog();
};

#endif
