// -*- c -*-
// (setq c-basic-offset 4)

#include "clsXVM.h"

#define LOOP_XYZ for(int xyz = 0; xyz < 3; xyz++)
#define X 0
#define Y 1
#define Z 2

XVM_cls::XVM_cls(){
    LOOP_XYZ x[xyz] = v[xyz] = 0;
    m = 0;
}

//! ]Iy[^
XVM_cls XVM_cls::operator - (){ 
    XVM_cls tmpCls;
    LOOP_XYZ tmpCls.x[xyz] = -this->x[xyz]; 
    LOOP_XYZ tmpCls.v[xyz] = -this->v[xyz]; 
    return tmpCls;
}

//! dSZIy[^
XVM_cls XVM_cls::operator + (XVM_cls obj) {
    XVM_cls tmpCls;
    LOOP_XYZ tmpCls.x[xyz] = this->m * this->x[xyz] + obj.m * obj.x[xyz]; 
    LOOP_XYZ tmpCls.v[xyz] = this->m * this->v[xyz] + obj.m * obj.v[xyz]; 
    tmpCls.m = this->m + obj.m; 
    LOOP_XYZ tmpCls.x[xyz] /= tmpCls.m; 
    LOOP_XYZ tmpCls.v[xyz] /= tmpCls.m; 
    return tmpCls;
}

//! xNgIy[^Aʊ֌WȂ 
XVM_cls XVM_cls::operator - (XVM_cls obj) {
    XVM_cls tmpCls;
    LOOP_XYZ tmpCls.x[xyz] = this->x[xyz] - obj.x[xyz]; 
    LOOP_XYZ tmpCls.v[xyz] = this->v[xyz] - obj.v[xyz]; 
    return tmpCls; 
}

//!dSvZpXg[
void  XVM_cls::CenterOfMassStream(XVM_cls obj){
    LOOP_XYZ x[xyz] += obj.m * obj.x[xyz];
    LOOP_XYZ v[xyz] += obj.m * obj.v[xyz];
    m += obj.m;
}
void  XVM_cls::CenterOfMassStreamEnd() {
    if (m == 0) return;
    LOOP_XYZ x[xyz] /= m; 
    LOOP_XYZ v[xyz] /= m; 
}

// p^ʌvZ
/*
std::vector <double> XVM_cls::GetAM(){
    std::vector <double> tmpAM(3);
    tmpAM[Z] = m * (x[X]*v[Y] - x[Y]*v[X]); 
    tmpAM[X] = m * (x[Y]*v[Z] - x[Z]*v[Y]);
    tmpAM[Y] = m * (x[Z]*v[X] - x[X]*v[Z]);
    return tmpAM;
}

Tensor3_cls <double> XVM_cls::GetMomentOfInertia(){
    Tensor3_cls <double> retObj;
    retObj.val[X][X] = m * ( x[Y]*x[Y] + x[Z]*x[Z] );
    retObj.val[Y][Y] = m * ( x[Z]*x[Z] + x[X]*x[X] );
    retObj.val[Z][Z] = m * ( x[X]*x[X] + x[Y]*x[Y] );
    retObj.val[X][Y] = retObj.val[Y][X] = - m * x[X]*x[Y];
    retObj.val[Y][Z] = retObj.val[Z][Y] = - m * x[Y]*x[Z];
    retObj.val[Z][X] = retObj.val[X][Z] = - m * x[Z]*x[X];
    return retObj;
}
*/
