// (setq c-basic-offset 4)

#ifndef _READBODY_DF3_H_
#define _READBODY_DF3_H_

#include "../clsResumableProgress.h"

#include <wx/wx.h>
#include <wx/thread.h>

#include <fstream>

class DF3_cls;

class Thread16bitTo8bit : public wxThread{
 public:
    Thread16bitTo8bit(wxThreadKind kind);

    void SetParameters(bool *pbFinishedFlag,
		       int bufferSize,
		       unsigned short *pBuffer16,
		       unsigned char  *pOffsetPoint);
    

    bool *mpbFinishedFlagLink;
    int   mBufferSize;
    unsigned short *mpBuffer16;
    unsigned char  *mpOffsetPoint;
    
    virtual ExitCode Entry();
};

class ReadBodyDF3_cls : public ResumableProgress_cls{ 
 public:
    DF3_cls *mpC; 
    // lƂDF3_clsRXgN^this͊댯Ȃ̂ŁA
    // DF3Sequence_cls̃RXgN^őĂ
    
 public:
    //void DensityModifier(unsigned char *pIni, unsigned int size);
    void Read8bit(bool type, std::fstream &ifstream);
    void Read16bit(bool type, std::fstream &ifstream);
    void Read8bitDownSize(bool type, std::fstream &ifstream);
    void Read16bitDownSize(bool type, std::fstream &ifstream);
    bool MainProcess(bool type, wxWindow *pC);
    bool ReadHeaderInfo(wxWindow *pCWindow);
};

#endif
