// (setq c-basic-offset 4)

#ifndef _READBODY_IMGSEQ_H_
#define _READBODY_IMGSEQ_H_

#include "../clsResumableProgress.h"
#include "../../COMMON/clsFilename.h"
#include "../../CONFITEM/clsConfItem.h"

class DF3_cls;
class Preference_cls;

//#include <string>

#include <wx/wx.h>
#include <wx/thread.h>

class ReadBodyImgSeq_cls;

class ThreadReaderOneImage : public wxThread {
 public:
    ThreadReaderOneImage();
    void SetParameters(bool *pbFinishedFlag,
		       ReadBodyImgSeq_cls *pCParent, wxWindow* pCMsgParent, 
		       int initz, int finz, int offset, int bitmapType,
		       FileSequenceWX_cls CFileImgSeq);

    virtual ExitCode Entry();
    
    bool *mpbFinishedFlagLink;
    ReadBodyImgSeq_cls *mpCParent;
    wxWindow *mpCMsgParent;
    int mInitZ, mFinZ, mOffset, mBitmapType;
    FileSequenceWX_cls mCFileImgSeq;
};

class ReadBodyImgSeq_cls : public ResumableProgress_cls{
 public:
    void InitializeMember(DF3_cls *pCDF3);
    static void InitializeStaticMembers(Preference_cls *pCPreference);

    DF3_cls *mpC; 
    static Preference_cls *mspCPreferenceLink;
    // lƂDF3_clsRXgN^this͊댯Ȃ̂ŁA
    // DF3Sequence_cls̃RXgN^őĂ

    unsigned int mChannel;

 public:
    int  GetBitmapType(wxString filename);
    bool ReadImgWithThreads(wxWindow *pC, int offset, int threadNum);
    bool ReadImg1Layer(int z, int offset);
    bool ReadImg1LayerDownsized(int z, int offset);
    
    bool MainProcess(bool type, wxWindow* pC);
    bool ReadHeaderInfo(wxWindow *pCWindow);
};

#endif
