// -*- c -*- 
// "clsTLPanelMemory.cpp"

#ifndef _TLPANEL_MEMORY_H_
#define _TLPANEL_MEMORY_H_

#include <wx/wx.h>
#include <wx/dcbuffer.h>

#include "clsTLPanel.h"
class TLPanelMemory_cls; 
class DF3SeqCtrl_cls;
class DF3Sequence_cls;
class DF3SeqGUI_cls;

#define _WA_SEL_MIN 1
#define _WA_SEL_MAX 2
#define _WA_SEL_REGION 3

class TLPanelMemory_cls : public TLPanel_cls {
 public:
    TLPanelMemory_cls(DF3SeqCtrl_cls *pCDF3SeqCtrl,
		      DF3Sequence_cls *pCParent, DF3Sequence_cls *pCParent2,
		      DF3SeqGUI_cls *parent, wxWindowID id, wxPoint pos, wxSize size);
    ~TLPanelMemory_cls();
    
    DF3SeqGUI_cls *mpCParentGUI;
    DF3SeqCtrl_cls *mpCDF3SeqCtrl;
    DF3Sequence_cls *mpCParent;
    DF3Sequence_cls *mpCParent2;

    wxIcon *mpCTimeSliderIcon;
    
    void UpdateDisplay();
    void UpdateDisplay(wxAutoBufferedPaintDC &dc);
    void OnPaint(wxPaintEvent& event);
    void OnMouse(wxMouseEvent& event);
    wxMenu*      mpPopupMenu;
    wxMenu*      mpCMenuPlayRange;
    void UpdateMenu();
    void OnMenuScene(wxCommandEvent& event);
    void OnMenuPlayMode(wxCommandEvent& event);
    
 private:
    int   mFrameAtClick, mMinAtClick, mMaxAtClick;

    // any class wishing to process wxWidgets events must use this macro
    DECLARE_EVENT_TABLE()
};

#endif
