// -*- c -*- 
// "clsLevelMap.cpp"

#ifndef _LEVEL_H_
#define _LEVEL_H_

class DF3_cls; 

class LevelMap_cls {
 public:
    LevelMap_cls();
    ~LevelMap_cls();
 public: //private:
    double *mpMap;
    DF3_cls* mpCParent;

    static LevelMap_cls* mpThisCurrent;
    
    bool mbAllocated, mbCalculated;
    void Allocate();
    void Clear();
    void Calculate();

 public:
    void   SetParent(DF3_cls *pCParent);
    static void SetCurrent(LevelMap_cls* pThisCurrent);
    static double GetLevelMap(double value, void *pClue);
};

#endif
