// -*- c -*-
// "clsHotSpot.cpp"

#ifndef _HOTSPOT_H_
#define _HOTSPOT_H_

#include "../WIDGETCTRL/clsMultiPointInput.h"
#include "../MAINCANVAS/clsDrawItem.h"
#include "../GLOBJ/GLOBJECTS.h"

class HotSpots_cls; 

class HotSpotGUI_cls : public MultiPointInputGUI_cls{
 public:
    HotSpotGUI_cls(HotSpots_cls* pCParent, wxWindow *pC,
		   wxPoint pos, wxSize size);
    ~HotSpotGUI_cls();

    static HotSpots_cls     *mspCParent;
    static HotSpotGUI_cls*  mspCThis;

    static void FuncHookApply(void *pArg, void *pEvent);
    
    void   SetMNumParam(wxBoxSizer *pBoxSizer);
    void   ReconnectMNumParam();
    void   UpdateActiveOnTL();

    void   ReadStrLinePropagate();

 private:
    // any class wishing to process wxWidgets events must use this macro
    DECLARE_EVENT_TABLE()
};

class HotSpots_cls : public MultiPointInput_cls{
    friend class HotSpotGUI_cls; 

 public:
    HotSpots_cls();
    ~HotSpots_cls();
    
    HotSpotGUI_cls* mpCGUI;
    void InitGUI(wxWindow *pC);
    
    double CalcModifier(double posFocus[3], double posBox[3], double scaleBox);
};

#endif
