// -*- c -*-
// "clsGLButton.cpp"

#ifndef _GL_BUTTON_H_
#define _GL_BUTTON_H_

#ifdef WIN32
#include <windows.h>
#endif
#include <GL/glu.h>

#include <wx/wx.h>

#define _TOP_LEFT 01
#define _TOP_RIGHT 1
#define _BOTTOM_LEFT 2
#define _BOTTOM_RIGHT 3

class GLButton_cls {
 public:
    GLButton_cls(int offsetType, int offsetX, int offsetY);

    void MakeTextureFromImage(wxString strPath);
    void DrawButton(int canvasWidth, bool bState);
    bool IsMouseOnButton(int canvasWidth, int canvasHeight,
			 int mouseX, int mouseY);
    
    GLuint mTexID;
    bool mbMouseOn;
    int mWidth, mHeight;
    int mOffsetType, mOffsetX, mOffsetY;
};

#endif
