// -*- c -*- 
// (setq c-basic-offset 4)
// ("GLOBJLightSource.h")

#ifdef WIN32
#include <windows.h>
#endif

#include "GLOBJLightSource.h"

#include <GL/gl.h>
#include <GL/glu.h>

namespace GLOBJ {
    /*!
      @brief ̕`
      @param[in] mode `惂[h
    */
    int LightSource::DListDraw(int mode){
	
	int    listName = 0;
  	if (mode == GL_COMPILE || mode == GL_COMPILE_AND_EXECUTE){
	    listName = glGenLists(1); // VKXg̔ԍ
	    glNewList (listName, mode); 
	}
	
	glBegin(GL_LINES);
	glVertex3f(-1, 0, 0);
	glVertex3f(+1, 0, 0);
	glVertex3f( 0,-1, 0);
	glVertex3f( 0,+1, 0);
	glVertex3f( 0, 0,-1);
	glVertex3f( 0, 0,+1);
	glVertex3f(-0.577f,-0.577f,-0.577f);
	glVertex3f(+0.577f,+0.577f,+0.577f);
	glVertex3f(+0.577f,-0.577f,-0.577f);
	glVertex3f(-0.577f,+0.577f,+0.577f);
	glVertex3f(-0.577f,+0.577f,-0.577f);
	glVertex3f(+0.577f,-0.577f,+0.577f);
	glVertex3f(-0.577f,-0.577f,+0.577f);
	glVertex3f(+0.577f,+0.577f,-0.577f);
	glEnd();

	if (mode == GL_COMPILE || mode == GL_COMPILE_AND_EXECUTE)
	    glEndList();
	
	return listName;
    }
    
}
