/* -*- c -*- */
// (setq c-basic-offset 4)
// ("GLOBJSphere.cpp")

#ifndef _GLOBJSPHERE_H_
#define _GLOBJSPHERE_H_

namespace GLOBJ {
    void ChangeCoordinate3Dto2D(double vec3D[3], double vec2D[2]);
    void AdjustVec2DOverBoundary(double vector[2], double vectormem[2]);

    class Sphere {
    private:
	static void DrawTriangle(double v1[3], double v2[3], double v3[3]);
	static void DivideTriangle(double v1[3], double v2[3], double v3[3], int depth);
    public:
	static int  DListDraw(int depth, int iMode);
    };
}

#endif //_GLOBJSPHERE_H_
