// (setq c-basic-offset 4)

#include "clsDragAndDrop.h"
#include "../../clsFrameMain.h"
#include "../../clsMain.h"
#include "../../SRC/COMMON/clsFilename.h"

DnDFile_cls::
DnDFile_cls(FrameMain_cls *pCOwner){
    mpCOwner = pCOwner;
}

bool DnDFile_cls::
OnDropFiles(wxCoord x, wxCoord y,
	    const wxArrayString& filenames){
    SplitPathWX_cls CPath(/*wxConvUTF8.cWX2WC(filenames[0])*/filenames[0]);
    
    wxString extStr = CPath.GetPathWXStr(_FN_EXT);

    bool bAdd = FALSE;
#ifdef WIN32
    if (mDef == wxDragCopy) bAdd = TRUE;
#else
    if (mDef == wxDragLink) bAdd = TRUE;
#endif
    if (extStr == wxT(".df3") || extStr == wxT(".DF3") ||
	extStr == wxT(".3df") || extStr == wxT(".3DF")){ // Accept Miss Spelling;)
	if (bAdd == TRUE)
	    mpCOwner->mpCParent->AddFileSequence(CPath.GetPathWXStr());
	else
	    mpCOwner->mpCParent->OpenFileSequence(CPath.GetPathWXStr());
    }
    
    if (extStr == wxT(".osp") || extStr == wxT(".OSP"))
	mpCOwner->OpenProjectMain(CPath.GetPathWXStr());
    
    return TRUE;
}

wxDragResult DnDFile_cls::
OnDragOver(wxCoord x, wxCoord y, wxDragResult def){
    mDef = def;
    return def;
}

