// "clsDrawPath.cpp"

#ifndef _DRAW_PATH_H
#define _DRAW_PATH_H

#include "../MYGL/clsPositionAndDirection.h"

class GLGuides_cls;
class Parameters_cls;

#define _GUIDES_TRANSLATE 0
#define _GUIDES_SCALE 1
#define _GUIDES_ROTATE 2

#include <stdlib.h>
#include <vector>

class DrawPath_cls {
 public:
    virtual void SetMatrix(Parameters_cls *pParam, int keyIndex,
			   double dpos[3], int flag) = 0;
    bool DrawSelectedKey(GLGuides_cls* pCGLGuide, Parameters_cls *pParam,
			 Parameters_cls *pParamTgt, Parameters_cls *pParamTop,
			 int displayList,
			 double dpos[3], double scale, int flag,
			 int type = _GUIDES_TRANSLATE,
			 double drot[4] = NULL);
    void DrawCurrent(GLGuides_cls* pCGLGuide, PositionAndDirection_cls CPosDir,
		     std::vector < int > VDisplayList, 
		     double dpos[3], double scale, double *pAnc,
		     PositionAndDirection_cls CParentObjPos,
		     int type = _GUIDES_TRANSLATE,
		     double dScale[3] = NULL, double dRot[4] = NULL);
};

#endif
