// "clsPovObjectPlugin.cpp"
// (c-basic-offset 4)

#ifndef _POV_OBJECT_PLUGIN_H_
#define _POV_OBJECT_PLUGIN_H_

#define _PLUGIN_TOMTREE 0

#define _TOMTREE_BIRCH 0
#define _TOMTREE_OLIVE 1
#define _TOMTREE_PALM 2

#include "../clsPovObjectCommon.h"

#include <wx/wx.h>

class PovObjectPlugin_cls : public virtual PovObjectCommon_cls {
 public:
    void DrawGLPlugin(int type, int tree);

    void DrawGLPluginTomTree(int tree);

    wxString GetPovStrPluginParameters(int type, int tree, int query);
    wxString GetPovStrPluginObject(int type, int tree);

    wxString GetPovStrPluginParametersTomTree(int tree, int query);    
    wxString GetPovStrPluginObjectTomTree(int tree);
};

#endif
