
#ifndef _POVRAY_TEXTURE_H_
#define _POVRAY_TEXTURE_H_

#include "frame.h"

double min (DBL a, DBL b);
double max (DBL a, DBL b);

void InitTextureTable();
void InitSolidNoise();
DBL  OriNoise(const VECTOR EPoint, int noise_generator);
void OriDNoise(VECTOR result, const VECTOR EPoint);
DBL  SolidNoise(const VECTOR P);
void inline SetupSolidNoise(const VECTOR P, int i, int &b0, int &b1, DBL &r0, DBL &r1);
DBL  Turbulence(const VECTOR EPoint, const TURB *Turb, int noise_generator);
void DTurbulence(VECTOR result, const VECTOR EPoint, const TURB *Turb);
DBL  cycloidal(DBL value);

void VScale(VECTOR a, const VECTOR b, DBL k);

#endif
