// -*- c -*- 
// "clsBitmapButtonEX.cpp"

#ifndef _BITMAP_BUTTON_EX_H_
#define _BITMAP_BUTTON_EX_H_

#include "clsWidgetEX.h"

class wxBitmapButtonEX : public wxBitmapButton, public WidgetEX_cls {
 public:
    wxBitmapButtonEX(wxWindow* parent, wxWindowID id, 
		     const wxBitmap& bitmap,
		     const wxPoint& pos = wxDefaultPosition,
		     const wxSize& size = wxDefaultSize,
		     long style = wxBU_AUTODRAW, 
		     const wxValidator& validator = wxDefaultValidator,
		     const wxString& name = wxT("button"));
    
    wxWindow* GetPWindow();
    void OnKeyDown(wxKeyEvent& event);
    void OnMouse(wxMouseEvent& event);
};

#endif
