// -*- c -*- 
// "clsStaticTextEX.h"

#include "clsStaticTextEX.h"

wxStaticTextEX::
wxStaticTextEX(wxWindow* parent, wxWindowID id, const wxString& label,
	       const wxPoint& pos, const wxSize& size,
	       long style, const wxString& name) :
    wxStaticText(parent, id, label, pos, size, style, name)
{
    Connect(GetId(), wxEVT_LEFT_DOWN,
	    wxMouseEventHandler(wxStaticTextEX::OnMouse));
    Connect(GetId(), wxEVT_RIGHT_DOWN,
	    wxMouseEventHandler(wxStaticTextEX::OnMouse));
    Connect(GetId(), wxEVT_LEFT_DCLICK,
	    wxMouseEventHandler(wxStaticTextEX::OnMouse));
    Connect(GetId(), wxEVT_RIGHT_DCLICK,
	    wxMouseEventHandler(wxStaticTextEX::OnMouse));
}

void wxStaticTextEX::
OnMouse(wxMouseEvent& event){
    GetParent()->AddPendingEvent(event);
    event.Skip();
}
