// -*- c -*- 
// "clsWidgetEX.cpp"

#include "clsWidgetEX.h"

#include "../../MYAPI/MsgBox.h"

WidgetEX_cls::
WidgetEX_cls(){
    //mKeyEventTarget = _WIDGETEX_TOPPARENT;
    mKeyEventTarget = _WIDGETEX_DIRECTPARENT;
}

void WidgetEX_cls::
SetKeyEventSkipTarget(int target){
    mKeyEventTarget = target;
}

void WidgetEX_cls::
ProcessKeyEvent(wxKeyEvent& event){
    switch (mKeyEventTarget){
    case _WIDGETEX_TOPPARENT:
	event.SetId(wxGetTopLevelParent(GetPWindow())->GetId());
	wxGetTopLevelParent(GetPWindow())->AddPendingEvent(event);
	break;
    case _WIDGETEX_DIRECTPARENT:
	event.SetId(GetPWindow()->GetParent()->GetId());
	GetPWindow()->GetParent()->AddPendingEvent(event);
	break;
    }

    /*
#ifndef WIN32
    if (event.GetKeyCode() == WXK_TAB)
	event.Skip();
#endif
    */
}
