// -*- c -*- 
// "clsAtofTextCtrl.h"

#include "clsAtofTextCtrl.h"

AtofTextCtrl_cls::
AtofTextCtrl_cls(wxWindow *parent, wxWindowID id, float initvalue,
		 wxPoint pos, wxSize size) 
: TextCtrlEX_cls(parent, id, 
		 wxString::Format(wxT("%g"),initvalue),
		 pos, size)
{
    mMin = 0;
    mMax = 0;
}

float AtofTextCtrl_cls::
GetValue(){
    return wxAtof(GetLineText(0));
}

void AtofTextCtrl_cls::
UpdateValueFromText(/*bool assign*/){
    float value = wxAtof(GetLineText(0));
    if (!(mMin == 0 && mMax == 0)){
	if (value < mMin) value = mMin;
	if (value > mMax) value = mMax;
	SetValueDouble(value);
    }

    if (/*assign == TRUE && */(value != mPrevValue)){
	wxKeyEvent com(wxEVT_CHAR);
	com.m_keyCode = WXK_RETURN;
	com.SetId(GetId());
	GetParent()->AddPendingEvent(com);
    }

    mPrevValue = value;
}

void AtofTextCtrl_cls::
SetValueDouble(double value){
    SetValue(wxString::Format(wxT("%g"), value));
}

void AtofTextCtrl_cls::
SetRange(double min, double max){
    mMin = min; mMax = max;
}
