// -*- c -*- 
// "clsAtoiTextCtrl.cpp"

#ifndef _ATOI_COMBO_CTRL_H_
#define _ATOI_COMBO_CTRL_H_

#include <wx/wx.h>
#include "EX/clsTabCtrl.h"

#include <vector>

class AtoiComboCtrl_cls : public wxComboBox, public TabCtrl_cls {
 public:
    AtoiComboCtrl_cls(wxWindow *parent, wxWindowID id, wxString initStr, unsigned int max, wxString *pChoiceList, unsigned int offset = 0, wxSize size=wxDefaultSize);
    void OnComboBox(wxCommandEvent& event);
    
    int  UpdateValueFromText();
    bool CheckRange();
    
    void UpdateDisplay();
    void SetValueInt(int value);

    std::vector < wxString > mVChoiceList;
    unsigned int  mValue;
    unsigned int  mMin, mMax, mOffset;
    void Clear();                       //OverRide
    void Append(const wxString& item);  //OverRide
    
    // --$B<+A0$N(BTAB$B%3%s%H%m!<%kMQ(B--
    //void OnCharTab(wxKeyEvent& event);
    void OnChar(wxKeyEvent& event);
    void OnKeyDown(wxKeyEvent& event);

    static int msDebug;
};

#endif
