// -*- c -*- 
// "clsBitmapPanel.cpp"

#ifndef _BITMAP_PANEL_H_
#define _BITMAP_PANEL_H_

//#include <wx/wx.h>
#include <vector>
#include "EX/clsWidgetEX.h"

class BitmapPanel_cls : public wxPanel, public WidgetEX_cls {
 public:
    BitmapPanel_cls(wxWindow *parent, wxWindowID id, 
		    wxPoint pos = wxDefaultPosition,
		    wxSize size = wxDefaultSize);

    int  mOffsetX, mOffsetY;
    void SetOffset(int offsetX, int offsetY);    

    void UpdateDisplay();
    void OnPaint(wxPaintEvent& event);
    void OnMouse(wxMouseEvent& event);

    bool mbPushed;
    unsigned int mState;

    void AddBitmapP(wxBitmap* pBitmap);
    void SetBitmapPDisable(wxBitmap* pBitmap);
    std::vector < wxBitmap* > mVPBitmap;
    wxBitmap *mpBitmapDisable;

    wxWindow* GetPWindow();
    void OnKeyDown(wxKeyEvent& event);

    // any class wishing to process wxWidgets events must use this macro
    DECLARE_EVENT_TABLE()
};

#endif
