// -*- c -*- 
// "clsSliderInt.cpp"

#ifndef _SLIDER_INT_H_
#define _SLIDER_INT_H_

#include <wx/wx.h>
#include "EX/clsTabCtrl.h"
#include "EX/clsSliderEX.h"
#include "../UNDO/clsUndoManager.h"
extern UndoManager_cls GCUndoList;

/* Increment, Decrement{^t悤ƂƂ̖cŖ{̂wxPanelF
   ́Al͑̃XsRg[ōsĂ

class SliderInt_cls : 
public wxPanel, public TabCtrl_cls {
 public:
    SliderInt_cls(wxWindow *parent, wxWindowID id, int initvalue,
		  int min, int max,
		  wxPoint pos = wxDefaultPosition, 
		  wxSize size = wxSize(40, -1));

    wxSliderEX *mpCSlider;

    void UpdateValueFromSlider();
    void SetRange(int min, int max);
    
    void UpdateDisplay();
    void SetValueInt(int value);
    
    void OnScrollChanged(wxCommandEvent& event);
    void OnScrollThumb(wxCommandEvent& event);
    void OnKeyDown(wxKeyEvent& event);

    int  mValue;
    int  mMin, mMax;
};
*/

class SliderInt_cls : 
public wxSliderEX, public TabCtrl_cls {
 public:
    SliderInt_cls(wxWindow *parent, wxWindowID id, int initvalue,
		  int min, int max,
		  wxPoint pos = wxDefaultPosition, 
		  wxSize size = wxSize(40, -1));

    void UpdateValueFromSlider();
    void SetRangeSliderWrapperInt(int min, int max);
    
    void SetValueInt(int value);
    
    void OnScrollThumbTrack(wxCommandEvent& event);
    void OnScrollThumbRelease(wxCommandEvent& event);

    void OnScrollChanged(wxCommandEvent& event);
    void OnScrollThumb(wxCommandEvent& event);
    void OnKeyDown(wxKeyEvent& event);

    bool mbTracking;
    //int  mValue;
    int  mMin, mMax;
};

#endif
