// -*- c++ -*-
// (setq c-basic-offset 4)
// "clsAboutBox.h"

#include "clsAboutBox.h"

#include "wxWidgetEnum.h"
#include "wxWidgetEnumMenu.h"
#include "wxWidgetString.h"

#include <wx/artprov.h>
#include <wx/hyperlink.h>

AboutBox_cls::
AboutBox_cls(wxWindow *parent, wxWindowID id, wxString strTitle, wxString strMessage) :
    wxDialog(parent, id, strTitle, wxDefaultPosition, wxSize(-1, -1)){

    //SetBackgroundColour(wxColour(12, 12, 12));

    wxBoxSizer *pCSizerSRC  = new wxBoxSizer(wxHORIZONTAL);
    wxBoxSizer *pCSizerMain = new wxBoxSizer(wxVERTICAL);
    wxBoxSizer *pCSizerBtn  = new wxBoxSizer(wxHORIZONTAL);

    wxStaticText *pCMessage = new wxStaticText
	(this, wxID_ANY, strMessage, wxDefaultPosition, wxSize(480, -1));
    //pCMessage->SetForegroundColour(wxColour(192, 192, 192));
    
    wxString strURL = wxT("http://qcganime.web.fc2.com/OOSAWA/oosawa.html");
    wxHyperlinkCtrl *pCURL = new wxHyperlinkCtrl
	(this, wxID_ANY, strURL, strURL, wxDefaultPosition, wxSize(480, -1), wxNO_BORDER | wxHL_CONTEXTMENU | wxHL_ALIGN_CENTRE);

    pCURL->SetVisitedColour(wxColour(32, 32, 255));
    pCURL->SetNormalColour(wxColour(255, 32, 32));
        
    wxButton *pCBtn = new wxButton(this, GetAffirmativeId(), wxT("OK"));
    //pCBtn->SetBackgroundColour(wxColour(12, 12, 12));
    //pCBtn->SetForegroundColour(wxColour(192, 192, 192));

    pCSizerBtn->Add(-1, -1, 1, wxEXPAND);
    pCSizerBtn->Add(pCBtn, 0, wxEXPAND);
    pCSizerBtn->Add(-1, -1, 1, wxEXPAND);

    pCSizerMain->AddSpacer(30);
    pCSizerMain->Add(pCMessage, 0, wxEXPAND);
    pCSizerMain->AddSpacer(10);
    pCSizerMain->Add(pCURL, 0, wxEXPAND);
    pCSizerMain->AddSpacer(10);
    pCSizerMain->Add(pCSizerBtn, 0, wxEXPAND);
    pCSizerMain->AddSpacer(10);

    pCSizerSRC->AddSpacer(50);
    pCSizerSRC->Add(pCSizerMain, 1, wxEXPAND);
    pCSizerSRC->AddSpacer(50);
    
    SetSizerAndFit(pCSizerSRC);
}

void AboutBox_cls::
OnOk(wxCommandEvent& event){
    EndModal(0);
}


