
#ifndef _WX_WIDGET_ENUM_MENU_H_
#define _WX_WIDGET_ENUM_MENU_H_

enum {
    menuItemFileOpen = 4900, 
    menuItemFileAdd,
    menuItemFileOpenEdit,
    menuItemFileAddEdit,
    menuItemProjectOpen,
    menuItemProjectSave,
    menuItemProjectSaveAs,
    menuItemImport,
    menuItemImportPath,
    menuItemImportRenderParam,
    menuItemExport,
    menuItemExportDF3,
    menuItemExportDF3Seq,
    menuItemExportImgSeq,
    menuItemExportIsosurfOBJ,
    menuItemExportIsosurfPOV,
    menuItemSaveImage,
    menuItemSaveImageSeq,
    menuItemSaveImgSeqBegin,
    menuItemCloseData,
    menuItemPlayStop,
    menuItemPlayTex,
    menuItemPlayTexInv,
    menuItemPopStatusBar,
    menuItemDF3GUIChanged,
    menuItemRedo = 4930,
    menuItemUndo,
    menuItemAutoRescale,
    menuItemConfStereogram,
    menuItemConfCameraPath,
    menuItemTimeRemap,
    menuItemRemoveCache,
    menuItemRemoveCacheSnap,
    menuItemRemoveCacheMain,
    menuItemIsosurface = 4950,
    menuItemObjectFilter,
    menuItemBoxFilter,
    menuItemDataFilter,
    menuItemPrimitiveFilter,
    menuItemFog,
    menuItemBoxCopy,
    menuItemClipping,
    menuItemVolume,
    menuItemBlurGauss,
    menuItemLevelAndGamma,
    menuItemInvDiffuse,
    menuItemFixPosition,
    menuItemDataRotate,
    menuItemLayerColorCurve,
    menuItemCrossSection,
    menuItemAnalyzeFilter,
    menuItemAnalyzeCenterOfMass,
    menuItemAnalyzeMorphOpenClose,
    menuItemPovDiffObj,
    menuItemPovObjPlane,
    menuItemPovObjBox,
    menuItemPovObjWiredBox,
    menuItemPovObjSphere,
    menuItemPovObjCone,
    menuItemPovObjArrow,
    menuItemPovObjText,
    menuItemPovObjMesh,
    menuItemPovObjPlugin,
    menuItemPovThreeView,
    menuItemPovVelocity,
    menuItemPovStreamLine,
    menuItemPovVelocityField,
    menuItemFilterAdvanced,
    menuItemPovSnap = 5020,
    menuItemPovAnim,
    menuItemRenderSnap, 
    menuItemRenderAnim,
    menuItemPovWine,
    menuItemPovError,
    menuItemMinmizeButton,
    menuItemConfPovRay = 5030,
    menuItemConfPovRayAdvanced,
    menuItemConfTree,
    menuItemConfHotSpot,
    menuItemAddHotSpot,
    menuItemAddPrimitive,
    menuItemConfLightSource,
    menuItemAddLight,
    menuItemTextureDLG,
    menuItemCustomColor,
    menuItemScene,
    menuItemPreference,
    menuItemGoFrame = 5060,
    menuItemSetAnchorToPath, 
    menuItemSetAnchorToZero,
    menuViewMainPanel = 5070,
    menuViewMainPanelType0,
    menuViewMainPanelType1,
    menuViewMainPanelType2,
    menuViewMainPanelType3,
    menuViewMainPanelType4,
    menuViewExtraPanel,
    menuItemToolTip = 5080,
    menuItemPreviewConfig,
    menuItemSetCamPos = 5090,
    menuItemSetAncPos,
    menuItemRefresh = 5110,
    menuItemRefreshTL,
    menuItemRefreshVList,
    menuItemReTexture,
    menuItemRefreshPanels,
    menuItemRefreshCamera,
    menuItemRefreshCamCom,
    menuItemRefreshCombo,
    menuItemRefreshColorBar,
    menuItemSetFocus,
    menuItemSplitterResize,

    menuItemMemScene = 5150,
    menuItemMemRange,
    menuItemMemRange00,
    menuItemMemRange01,
    menuItemMemRange02,
    menuItemMemRange03,
};

#ifdef _DEBUG
#include <stdlib.h>
#include <crtdbg.h>
#define new new(_NORMAL_BLOCK, __FILE__, __LINE__)
#endif

#endif
